/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.tag-holder {
  margin-top: 20px;
  .bestandsrecht-tags-label {
    font-size: 1.8rem;
    font-weight: 500;
    margin-bottom: 20px;
    display: block;
  }
  &.rows-view {
    .tag-element {
      display: grid;
      grid-template-columns: 9fr 1fr;
      border: none;
      font-size: 1.6rem;
      line-height: 22px;
      border-bottom: 1px solid @platform-blue3;
      padding: 10px 0;
      color: @links-color;
      .btn-close {
        color: @platfrom-blue1;
        vertical-align: top;
        padding: 2px;
        font-size: 1.5rem;
        line-height: 16px;
        margin: 1px 0 0 auto;
        display: inline-block;
        &:hover,
        &:focus {
          color: #fff;
        }
      }
    }
  }
  .tag-element {
    display: inline-block;
    padding: 1px 4px 1px 8px;
    border: 1px solid @platfrom-blue1;
    border-radius: 2px;
    font-size: 1.6rem;
    line-height: 22px;
    color: @platfrom-blue1;
    margin: 0 8px 4px 0;
    &.hidden {
      display: none;
    }
    &.has-error {
      border-color: @platform-validation-red;
      color: @platform-validation-red;
      .btn-close {
        color: @platform-validation-red;
      }
    }

    .btn-close {
      color: @platfrom-blue1;
      vertical-align: top;
      padding: 6px;
      font-size: 1rem;
      line-height: 10px;
      margin-top: 0px;
      margin-left: 3px;
      display: inline-block;
      &:hover,
      &:focus {
        color: #fff;
      }
    }
  }
  .show-more-btn {
    text-decoration: underline;
    &.hidden {
      display: none;
    }
  }
  .div-no-addresses {
    padding-top: 12px;
  }
}
